<% local view, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#listentries").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
	});
</script>

<% htmlviewfunctions.displaycommandresults({"editsmtpentry", "delsmtpentry"}, session) %>

<% local header_level = htmlviewfunctions.displaysectionstart(view, page_info) %>
<table id="listentries" class="tablesorter"><thead>
	<tr>
		<th>Action</th>
		<th>Interface</th>
		<th>IP Address</th>
		<th>Command Entry</th>
	</tr>
</thead><tbody>
<% local ipaddr = cfe({ type="hidden", value="" }) %>
<% local redir = cfe({ type="hidden", value=page_info.orig_action }) %>
<% for i,interface in ipairs(view.value) do %>
	<tr>
		<td>
		<%
		ipaddr.value = interface.ipaddr or interface.interface
		if viewlibrary.check_permission("editsmtpentry") then
			htmlviewfunctions.displayitem(cfe({type="link", value={ipaddr=ipaddr, redir=redir}, label="", option="Edit", action="editsmtpentry"}), page_info, -1)
		end
		if viewlibrary.check_permission("delsmtpentry") then
			htmlviewfunctions.displayitem(cfe({type="form", value={ipaddr=ipaddr}, label="", option="Delete", action="delsmtpentry"}), page_info, -1)
		end
		%>
		</td>
		<td><%= html.html_escape(interface.interface) %></td>
		<td><%= html.html_escape(interface.ipaddr) %></td>
		<td><%= html.html_escape(interface.cmd) %></td>
	</tr>
<% end %>
</tbody></table>
<% htmlviewfunctions.displaysectionend(header_level) %>
